MacFileUtils.FileManager (JNA API)
Description: declaration: package: com.sun.jna.platform.mac, class: MacFileUtils, interface: FileManager

Package com.sun.jna.platform.mac

# Interface MacFileUtils.FileManager

All Superinterfaces:
  `Library`

Enclosing class:
  MacFileUtils

public static interface MacFileUtils.FileManager extends Library

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `MacFileUtils.FileManager.FSRef`

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MacFileUtils.FileManager`
  `INSTANCE`
  `static final int`
  `kFSFileOperationDefaultOptions`
  `static final int`
  `kFSFileOperationsDoNotMoveAcrossVolumes`
  `static final int`
  `kFSFileOperationsOverwrite`
  `static final int`
  `kFSFileOperationsSkipPreflight`
  `static final int`
  `kFSFileOperationsSkipSourcePermissionErrors`
  `static final int`
  `kFSPathDefaultOptions`
  `static final int`
  `kFSPathMakeRefDoNotFollowLeafSymlink`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `FSMoveObjectToTrashSync(MacFileUtils.FileManager.FSRef source, MacFileUtils.FileManager.FSRef target, int options)`
  `int`
  `FSPathMakeRef(String source, int options, ByteByReference isDirectory)`
  `int`
  `FSPathMakeRefWithOptions(String source, int options, MacFileUtils.FileManager.FSRef fsref, ByteByReference isDirectory)`
  `int`
  `FSPathMoveObjectToTrashSync(String source, PointerByReference target, int options)`
  `int`
  `FSRefMakePath(MacFileUtils.FileManager.FSRef fsref, byte[] path, int maxPathSize)`

- ## Field Details

  - ### INSTANCE

    static final MacFileUtils.FileManager INSTANCE

  - ### kFSFileOperationDefaultOptions

    static final int kFSFileOperationDefaultOptions
    See Also:
      - Constant Field Values

  - ### kFSFileOperationsOverwrite

    static final int kFSFileOperationsOverwrite
    See Also:
      - Constant Field Values

  - ### kFSFileOperationsSkipSourcePermissionErrors

    static final int kFSFileOperationsSkipSourcePermissionErrors
    See Also:
      - Constant Field Values

  - ### kFSFileOperationsDoNotMoveAcrossVolumes

    static final int kFSFileOperationsDoNotMoveAcrossVolumes
    See Also:
      - Constant Field Values

  - ### kFSFileOperationsSkipPreflight

    static final int kFSFileOperationsSkipPreflight
    See Also:
      - Constant Field Values

  - ### kFSPathDefaultOptions

    static final int kFSPathDefaultOptions
    See Also:
      - Constant Field Values

  - ### kFSPathMakeRefDoNotFollowLeafSymlink

    static final int kFSPathMakeRefDoNotFollowLeafSymlink
    See Also:
      - Constant Field Values

- ## Method Details

  - ### FSRefMakePath

    int FSRefMakePath(MacFileUtils.FileManager.FSRef fsref, byte[] path, int maxPathSize)

  - ### FSPathMakeRef

    int FSPathMakeRef(String source, int options, ByteByReference isDirectory)

  - ### FSPathMakeRefWithOptions

    int FSPathMakeRefWithOptions(String source, int options, MacFileUtils.FileManager.FSRef fsref, ByteByReference isDirectory)

  - ### FSPathMoveObjectToTrashSync

    int FSPathMoveObjectToTrashSync(String source, PointerByReference target, int options)

  - ### FSMoveObjectToTrashSync

    int FSMoveObjectToTrashSync(MacFileUtils.FileManager.FSRef source, MacFileUtils.FileManager.FSRef target, int options)